Đến nội dung


Hình ảnh
- - - - -

[hỏi] vba giao tiếp với cad bằng lệnh gì?


  • Please log in to reply
3 replies to this topic

#1 dunguss3581

dunguss3581

    biết lệnh rotate

  • Advance Member
  • PipPipPip
  • 139 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 10 April 2012 - 08:26 AM

anh em nào biết cho tôi hỏi: Trong autolisp có lệnh (command "...") để giao tiếp với Cad. vậy tương tự trong VBA lệnh đó như thế nào?
  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 10 April 2012 - 08:40 AM

SendCommand thì phải bạn ạ :D
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 dunguss3581

dunguss3581

    biết lệnh rotate

  • Advance Member
  • PipPipPip
  • 139 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 10 April 2012 - 09:02 AM

SendCommand thì phải bạn ạ :D

cảm ơn bạn. cụ thể bạn có thể cho tôi một ví dụ vẽ line được không? tương tự như lisp: (command "line" p1 p2 "").
  • 0

#4 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 10 April 2012 - 09:19 AM

Cái này lấy trong Help. K phải vẽ Line nhưng bạn đọc chắc cũng hiểu.

Sub Example_SendCommand()
' This example sends a command for evaluation to the AutoCAD command line
' of a particular drawing

' Create a Circle in the active drawing and
' zoom to display the entire circle
ThisDrawing.SendCommand "_Circle" & vbCr & "2,2,0" & vbCr & "4" & vbCr
ThisDrawing.SendCommand "_zoom" & vbCr & "a" & vbCr

' Refresh view
ThisDrawing.Regen acAllViewports

MsgBox "A circle command has been sent to the command line of the current drawing."
End Sub
Ngoài ra, với những ví dụ cơ bản, bạn hoàn toàn có thể hỏi anh Gúc Gờ lấy ví dụ
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC